petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDataTypeFromString

Gets the enum value of a PETSc datatype represented as a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscDataTypeFromString(const char*name, PetscDataType *ptype,PetscBool *found)

Not collective Many br

### Input Parameter

name -the PETSc datatype name (for example, DOUBLE or real or Scalar) Many br

### Output Parameter

| ptype | - the enum value Many br
| found | - the string matches one of the data types Many br

Many br

### See Also

PetscDataType, PetscDataTypeToMPIDataType(), PetscDataTypeGetSize()

Level:advanced
Location:src/sys/objects/ptype.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex11.c.html